Name:		mmv
Version:	2.9.1
Release:	%mkrel 1
Summary:	Move/copy/append/link multiple files

Group:		File tools
License:	GPLv2+
URL:		https://github.com/rrthomas/mmv
Source0:	https://github.com/rrthomas/mmv/releases/download/v%{version}/%{name}-%{version}.tar.gz

%description
This is mmv, a program to move/copy/append/link multiple files
according to a set of wildcard patterns. This multiple action is
performed safely, i.e. without any unexpected deletion of files due to
collisions of target names with existing filenames or with other
target names. Furthermore, before doing anything, mmv attempts to
detect any errors that would result from the entire set of actions
specified and gives the user the choice of either aborting before
beginning, or proceeding by avoiding the offending parts.

%prep
%autosetup -p1

%build
%configure
%make_build CONF="%{optflags} -fpie" LDCONF="%{ldflags} -pie"

%install
%make_install

ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mcp.1%{_extension}
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mad.1%{_extension}
ln -s mmv.1%{_extension} %{buildroot}%{_mandir}/man1/mln.1%{_extension}

%files
%license COPYING
%doc AUTHORS ChangeLog README.md
%{_bindir}/mmv
%{_bindir}/mcp
%{_bindir}/mad
%{_bindir}/mln
%{_mandir}/man1/*



%changelog
* Wed Nov 27 2024 daviddavid <daviddavid> 2.9.1-1.mga10
+ Revision: 2119372
- new version: 2.9.1

* Mon Jul 15 2024 daviddavid <daviddavid> 2.7-1.mga10
+ Revision: 2081576
- new version: 2.7 (thanks to Aurelian R mga#33399)

* Tue Mar 15 2022 umeabot <umeabot> 1.01b-20.mga9
+ Revision: 1792132
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.01b-19.mga8
+ Revision: 1515173
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.01b-18.mga7
+ Revision: 1299575
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Feb 08 2016 umeabot <umeabot> 1.01b-17.mga6
+ Revision: 943254
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.01b-16.mga5
+ Revision: 744209
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.01b-15.mga5
+ Revision: 682550
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.01b-14.mga4
+ Revision: 507988
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.01b-13.mga3
+ Revision: 360174
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 tmb <tmb> 1.01b-12.mga1
+ Revision: 93787
- imported package mmv


* Wed Apr 27 2011 Herbert Poetzl <herbert@13thfloor.at> - 1.01b-12
- initial Mageia RPM release

* Tue Jul 29 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.01b-11mdv2009.0
+ Revision: 252646
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.01b-9mdv2008.1
+ Revision: 136598
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Feb 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.01b-9mdv2007.0
+ Revision: 123831
- Import mmv

* Wed Feb 21 2007 Per Øyvind Karlsen <pkarlsen@mandriva.com 1.01b-9mdv2007.1
- package adapted from fedora, uploaded by Herbert Pötzl

* Sat Sep 09 2006 Zing <zing@fastmail.fm> - 1.01b-8
- fix perms on man page
- rebuild for FE6

* Tue Apr 11 2006 Zing <shishz@hotpop.com> - 1.01b-7
- ok, now fix busted perms on doc directory

* Mon Mar 20 2006 Zing <shishz@hotpop.com> - 1.01b-6
- fix permissions on doc files

* Mon Feb 13 2006 Zing <shishz@hotpop.com> - 1.01b-5
- sync with debian mmv_1.01b-14
- symlink man page for mcp/mad/mln

* Sun Oct 02 2005 Zing <shishz@hotpop.com> - 1.01b-4
- use dist tag

* Sun Oct 02 2005 Zing <shishz@hotpop.com> - 1.01b-3
- cleanup changelog

* Thu Sep 29 2005 Zing <shishz@hotpop.com> - 1.01b-2
- don't change source name
- symlink mcp/mad/mln

* Wed Aug 24 2005 Zing <shishz@hotpop.com> - 1.01b-1
- initial RPM release
- pull from debian mmv_1.01b-12.2
- build executable as a PIE

